org.apache.lucene.analysis

## Class MockRandomLookaheadTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.LookaheadTokenFilter<LookaheadTokenFilter.Position>
        - - org.apache.lucene.analysis.MockRandomLookaheadTokenFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class MockRandomLookaheadTokenFilter
      extends LookaheadTokenFilter<LookaheadTokenFilter.Position>

  Uses `LookaheadTokenFilter` to randomly peek at future tokens.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.LookaheadTokenFilter

      `LookaheadTokenFilter.Position`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.LookaheadTokenFilter

      `end, inputPos, offsetAtt, outputPos, posIncAtt, positions, posLenAtt`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockRandomLookaheadTokenFilter(Random random, TokenStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterPosition()` This is called when all input tokens leaving a given position have been returned.
    `boolean` | `incrementToken()`
    `LookaheadTokenFilter.Position` | `newPosition()`
    `void` | `reset()`

    - ### Methods inherited from class org.apache.lucene.analysis.LookaheadTokenFilter

      `insertToken, nextToken, peekToken`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockRandomLookaheadTokenFilter

          public MockRandomLookaheadTokenFilter(Random random,
                                                TokenStream in)

  - ### Method Detail

    - #### newPosition

          public LookaheadTokenFilter.Position newPosition()

      Specified by:
        `newPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`

    - #### afterPosition

          protected void afterPosition()
                                throws IOException

      Description copied from class: `LookaheadTokenFilter`
      This is called when all input tokens leaving a given position have been returned. Override this and call insertToken and then set whichever token's attributes you want, if you want to inject a token starting from this position.
      Overrides:
        `afterPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
      Throws:
        `IOException`

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.